<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title t(:label_administration), t("label_group_plural") %>
<%= toolbar title: t(:label_group_plural) do %>
  <li class="toolbar-item">
    <%= link_to new_group_path,
          { class: 'button -primary',
            aria: {label: t(:label_group_new)},
            title: t(:label_group_new)} do %>
      <%= op_icon('button--icon icon-add') %>
      <span class="button--text"><%= t('activerecord.models.group') %></span>
    <% end %>
  </li>
<% end %>
<% if @groups.any? %>
  <div class="generic-table--container">
    <div class="generic-table--results-container">
      <table class="generic-table">
        <colgroup>
          <col opHighlightCol>
          <col opHighlightCol>
          <col>
        </colgroup>
        <thead>
          <tr>
            <th>
              <div class="generic-table--sort-header-outer">
                <div class="generic-table--sort-header">
                  <span>
                    <%= Group.model_name.human %>
                  </span>
                </div>
              </div>
            </th>
            <th>
              <div class="generic-table--sort-header-outer">
                <div class="generic-table--sort-header">
                  <span>
                    <%=t(:label_user_plural)%>
                  </span>
                </div>
              </div>
            </th>
            <th><div class="generic-table--empty-header"></div></th>
          </tr>
        </thead>
        <tbody>
          <% @groups.each do |group| %>
            <tr>
              <td><%= link_to h(group), action: 'edit', id: group %></td>
              <td><%= group.users.size %></td>
              <td class="buttons">
                <%= link_to '', group,
                                data: { confirm: t(:text_are_you_sure) },
                                method: :delete,
                                class: 'icon icon-delete',
                                title: t(:button_delete) %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>

    </div>
  </div>
<% else %>
  <%= no_results_box(action_url:     new_group_path,
                     display_action: true) %>
<% end %>
